Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class JTextComponent.KeyBinding

    java.lang.Object
      |
      +--javax.swing.text.JTextComponent.KeyBinding

Enclosing class:
  JTextComponent

public static class JTextComponent.KeyBinding
extends Object

Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`String` | `actionName` The name of the action for the key.
`KeyStroke` | `key` The key.

Constructor Summary
`JTextComponent.KeyBinding(KeyStroke key, String actionName)` Creates a new key binding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public KeyStroke key

  The key.

### actionName

    public String actionName

  The name of the action for the key.

Constructor Detail

### JTextComponent.KeyBinding

    public JTextComponent.KeyBinding(KeyStroke key,
                                     String actionName)

  Creates a new key binding.
  Parameters:
    `key` - the key
    `actionName` - the name of the action for the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.